Package org.springframework.security.web.access

# Interface AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer

All Known Implementing Classes:
  `HandlerMappingIntrospectorRequestTransformer`

Enclosing class:
  AuthorizationManagerWebInvocationPrivilegeEvaluator

public static interface AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer
Used to transform the `HttpServletRequest` prior to passing it into the `AuthorizationManager`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer`
`IDENTITY`

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.http.HttpServletRequest`
`transform(jakarta.servlet.http.HttpServletRequest request)`
Return the `HttpServletRequest` that is passed into the `AuthorizationManager`

## Field Details

### IDENTITY

static final AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer IDENTITY

## Method Details

### transform

jakarta.servlet.http.HttpServletRequest transform(jakarta.servlet.http.HttpServletRequest request)
Return the `HttpServletRequest` that is passed into the `AuthorizationManager`

Parameters:
  `request` - the `HttpServletRequest` created by the `WebInvocationPrivilegeEvaluator`
Returns:
  the `HttpServletRequest` that is passed into the `AuthorizationManager`